Package org.apache.solr.client.solrj.response

# Class DocumentAnalysisResponse.DocumentAnalysis

java.lang.Object
org.apache.solr.client.solrj.response.DocumentAnalysisResponse.DocumentAnalysis

All Implemented Interfaces:
  `Iterable<Map.Entry<String,DocumentAnalysisResponse.FieldAnalysis>>`

Enclosing class:
  `DocumentAnalysisResponse`

public static class DocumentAnalysisResponse.DocumentAnalysis extends Object implements Iterable<Map.Entry<String,DocumentAnalysisResponse.FieldAnalysis>>
An analysis process breakdown of a document. Holds a map of field analyses by the field name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDocumentKey()`
Returns the unique key of the analyzed document.
`int`
`getFieldAnalysesCount()`
Returns the number of field analyses for the documents.
`DocumentAnalysisResponse.FieldAnalysis`
`getFieldAnalysis(String fieldName)`
`Iterator<Map.Entry<String,DocumentAnalysisResponse.FieldAnalysis>>`
`iterator()`
Returns an iterator over the field analyses map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getDocumentKey

public String getDocumentKey()
Returns the unique key of the analyzed document.

Returns:
  The unique key of the analyzed document.

### getFieldAnalysesCount

public int getFieldAnalysesCount()
Returns the number of field analyses for the documents.

Returns:
  The number of field analyses for the documents.

### getFieldAnalysis

public DocumentAnalysisResponse.FieldAnalysis getFieldAnalysis(String fieldName)

### iterator

public Iterator<Map.Entry<String,DocumentAnalysisResponse.FieldAnalysis>> iterator()
Returns an iterator over the field analyses map.

Specified by:
  `iterator` in interface `Iterable<Map.Entry<String,DocumentAnalysisResponse.FieldAnalysis>>`
Returns:
  An iterator over the field analyses map.